# Random

**Description**\
Give a random normal `ItemType`, a random `CustomItem`, or either to the command sender.

**Command / Invocation**\
`uci random <Item|CustomItem|Both>`

**Visible args**\
`<type>` — `Item`, `CustomItem`, or `Both`.

**Required permission**\
`uci.random`

**Aliases**\
`ran`

**Example usage**\
`uci random Item` — gives a random normal item.\
`uci random CustomItem` — gives a random custom item.\
`uci random Both` — gives either a custom item or a normal item.

**Behavior notes**

* Requires an in-game player (sender must be a player).
* Picks a random entry from `Enum.GetNames(typeof(ItemType))` or `CustomItem.List`.
* When `Both` is selected, combines both lists and then resolves to custom vs normal and gives the item accordingly.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/uncomplicatedcustomitems/api/commands/admin-commands/random.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
